For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Book a demoLog in
DocumentationAPI ReferenceModel VersioningChangelog
DocumentationAPI ReferenceModel VersioningChangelog
    • Authentication
    • API Versioning
    • Deployments
    • Error Handling
  • Endpoints
      • POSTCreate Webhook Endpoint
      • GETList Webhook Endpoints
      • GETGet Webhook Endpoint
      • POSTUpdate Webhook Endpoint
      • DELDelete Webhook Endpoint
      • POSTCreate Webhook Subscription
      • GETList Webhook Subscriptions
      • GETGet Webhook Subscription
      • POSTUpdate Webhook Subscription
      • DELDelete Webhook Subscription
  • Webhook Events
LogoLogo
Book a demoLog in
EndpointsWebhooks

Get Webhook Endpoint

GET
/webhook_endpoints/:id
GET
/webhook_endpoints/:id
1from extend_ai import Extend
2
3client = Extend(
4 token="YOUR_TOKEN_HERE",
5 extend_api_version="2026-02-09",
6)
7
8client.webhook_endpoints.retrieve(
9 id="webhook_endpoint_id_here",
10)
1{
2 "object": "webhook_endpoint",
3 "id": "wh_Xj8mK2pL9nR4vT7qY5wZ",
4 "url": "https://example.com/webhooks",
5 "name": "Production webhook",
6 "status": "enabled",
7 "enabledEvents": [
8 "extract_run.processed",
9 "workflow.created"
10 ],
11 "apiVersion": {},
12 "advancedOptions": {
13 "headers": {},
14 "payload": {
15 "format": "json",
16 "urlThresholdBytes": 1
17 }
18 },
19 "createdAt": "2024-01-15T09:30:00Z"
20}
Retrieve a webhook endpoint by ID.
Was this page helpful?
Previous

Update Webhook Endpoint

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired

The ID of the webhook endpoint.

Example: "wh_Xj8mK2pL9nR4vT7qY5wZ"

Headers

x-extend-api-version"2026-02-09"OptionalDefaults to 2026-02-09
API version to use for the request. If you're using an SDK, you can ignore this parameter. If you are not using an SDK and do not specify a version, you will either receive a `400 Bad Request` or be set to a previous legacy version. See [API Versioning](https://docs.extend.ai/2026-02-09/api-reference/api-versioning) for more details.
x-extend-workspace-idstringOptional
The workspace ID to target. **Required** when using an organization-scoped API key; optional for workspace-scoped keys (the key is already tied to a workspace). See [Authentication](https://docs.extend.ai/2026-02-09/api-reference/authentication) for details on API key scopes.

Response

Retrieved webhook endpoint
objectenum
Allowed values:
idstring
Unique identifier for the webhook endpoint.
urlstringformat: "uri"
The URL that webhook events are sent to.
namestring

A human-readable name for the webhook endpoint.

statusenum
The status of the webhook endpoint.
Allowed values:
enabledEventslist of enums
The list of event types this endpoint is subscribed to at the global level. These are events that are not scoped to a specific resource.
apiVersionstring
advancedOptionsobject or null
Advanced configuration options for the webhook endpoint, including custom headers and payload delivery settings.
createdAtstringformat: "date-time"
The date and time the webhook endpoint was created.

Errors

400
Bad Request Error
401
Unauthorized Error
402
Payment Required Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error

API version to use for the request. If you’re using an SDK, you can ignore this parameter. If you are not using an SDK and do not specify a version, you will either receive a 400 Bad Request or be set to a previous legacy version. See API Versioning for more details.

The workspace ID to target. Required when using an organization-scoped API key; optional for workspace-scoped keys (the key is already tied to a workspace). See Authentication for details on API key scopes.